org.jboss.jca.core.tx.jbossts

## Class XAResourceRecoveryRegistryImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceRecoveryRegistryImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry

      public class XAResourceRecoveryRegistryImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry

  An XAResourceRecoveryRegistry implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAResourceRecoveryRegistryImpl(org.jboss.tm.XAResourceRecoveryRegistry delegator)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXAResourceRecovery(org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery recovery)` Register an XAResourceRecovery instance with the transaction recovery system.
    `void` | `removeXAResourceRecovery(org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery recovery)` Unregister an XAResourceRecovery instance from the transaction recovery system.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XAResourceRecoveryRegistryImpl

          public XAResourceRecoveryRegistryImpl(org.jboss.tm.XAResourceRecoveryRegistry delegator)

      Constructor
      Parameters:
        `delegator` - The delegator

  - ### Method Detail

    - #### addXAResourceRecovery

          public void addXAResourceRecovery(org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery recovery)

      Register an XAResourceRecovery instance with the transaction recovery system. This should be called by deployers that are deploying a new XA aware module that needs recovery support. For example, a database connection pool, JMS adapter or JCA connector.
      Specified by:
        `addXAResourceRecovery` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry`
      Parameters:
        `recovery` - The XAResourceRecovery instance to register.

    - #### removeXAResourceRecovery

          public void removeXAResourceRecovery(org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery recovery)

      Unregister an XAResourceRecovery instance from the transaction recovery system. This should be called when an XA aware module is undeployed, to inform the recovery system that recovery is no longer required or supported. Note this method may block whilst an ongoing recovery operation is completed. Recovery behavior is undefined if the undeployment does not wait for this operation to complete.
      Specified by:
        `removeXAResourceRecovery` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry`
      Parameters:
        `recovery` - The XAResourceRecovery instance to unregister. Implementations should fail silent if an attempt is made to unregister an XAResourceRecovery instance that is not currently registered.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)